%define prefix /usr
%define name divxconverter
%define version 2.0.1
%define release %mkrel 3
%define url http://code.google.com/p/foxoman/wiki/DivXConverter

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv3
Group:		Video
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Patch0:		divx-converter-mencoder.patch
Summary:	DivX converter is a simple Mencoder GUI
Summary(de):	DivX Converter ist ein einfaches Mencoder GUI
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	coreutils
Requires:	mencoder
Requires:	notify-osd >= 0.9.34
Conflicts:	mate-notification-daemon
Obsoletes:	%name < %version


%description
DivX converter is a simple Mencoder frontend to Produce DivX Player 
Compatible AVI video format with the ability to merge subtitles . 
It support many video and audio filters and many presets.
List Of Feature :
1. Clean and Easy Interface
2. Convert variety type of video format to avi
3. Support DivX 4/5 , H.264 and Xvid Video codecs
4. Support MP3, AC3 and ACC audio codecs
5. You can merge your subtitle to your favorite video, with many 
Language Encoding support .
6. Multifile conversion
7. Screenshot and use-full information about the file being convert
8. 9 quality preset
9. Many video and audio filters
10. Multi-Core threading support 



#german
%description -l de
DivX Converter ist ein einfaches Mencoder Frontend für DivX-Player 
kompatibel AVI-Video-Format mit der Möglichkeit, Untertitel zu 
verschmelzen. Es unterstützt viele Video-und Audio-Filtern und 
viele Einstellungen. 
Liste der Features:    
1.Saubere und einfache Bedienung    
2.Konvertieren verschiedene Video Arten zu AVI    
3.Support DivX 4/5, Xvid und H.264 Video-Codecs    
4.Unterstützt MP3, AC3 und ACC Audio-Codecs    
5.Untertitel von Videos zusammenführen, mit vielen Sprachcodierung 
Unterstützung.    
6.Multifile Umstellung    
7.Screenshot und umfassende Informationen über die konventierende Datei    
8.9 Preset-Qualität    
9.Viele Video-und Audio-Filter   
10.Multi-Core-Threading-Unterstützung


%prep

%setup -q -n %{name}-%{version}
%apply_patches

%install
install -d -m 0755 %buildroot%_bindir
install -d -m 0755 %buildroot%_datadir/applications
install -d -m 0755 %buildroot%_datadir/icons
install -d -m 0755 %buildroot%_datadir/divx-converter
install -d -m 0755 %buildroot%_datadir/gnome
install -d -m 0755 %buildroot%_datadir/pixmaps

install -m 0755 $RPM_BUILD_DIR/%{name}-%{version}/usr/bin/divxc %buildroot%_bindir/divxc
install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/usr/share/applications/divxc.desktop %buildroot%_datadir/applications/%{name}.desktop
install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/usr/share/icons/divxc.png %buildroot%_datadir/icons/divxc.png
install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/usr/share/pixmaps/divxc.png %buildroot%_datadir/pixmaps/divxc.png
cp -a $RPM_BUILD_DIR/%{name}-%{version}/usr/share/divx-converter %buildroot%_datadir/
%__chmod -R +r %buildroot%_datadir/divx-converter


%post
%{update_desktop_database}


%postun
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/divxc
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/divxc.png
%{_datadir}/pixmaps/divxc.png
%{_datadir}/divx-converter

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Sat Dec 07 2013 billybot <billybot> 2.0.1-3pclos2013
- apply new mencoder patch

* Mon Nov 04 2013 billybot <billybot> 2.0.1-2pclos2013
- require notify-osd
- add conflicts with mate-notification-daemon
